import request from '@/utils/request';

export default {

    // 查询用户是否绑定
    getBindUser() {
        return request({
        url: '/system/vx/getBindUser',
        method: 'get'
        })
    },  
    // 查询当前账号绑定的vx用户
    getVxUser(userName) {
        return request({
        url: '/system/vx/getVxUser',
        method: 'get',
        params: {
            userName: userName
          }
        })
    },  
    // 更新对应userName为空
    setUserName(userName) {
        return request({
        url: '/system/vx/setUserName',
        method: 'post',
        params: {
            userName: userName
          }
        })
    }, 
    // 查出所有未绑定的vx用户
    getVxUsers() {
        return request({
        url: '/system/vx/getVxUsers',
        method: 'get'
        })
    }, 
    // 给vx用户绑定系统用户
    setVxUser(vxUser,userName) {
        return request({
        url: '/system/vx/setVxUser',
        method: 'post',
        params: {
            vxUser: vxUser,
            userName: userName
          }
        })
    }, 
};
